#!/bin/sh
#
# PROVIDE: rsyncmanager
# REQUIRE: DAEMON
#
# Add the following line to /etc/rc.conf to enable rsyncmanager:
# rsyncmanager_enable (bool):      Set to "NO" by default.
#                             Set it to "YES" to enable rsyncmanager
# rsyncmanager_flags (str):        Set to "-C -c /usr/local/etc/rsyncmanager.conf" by default.
#                             Extra flags passed to start command
#
. /etc/rc.subr

name="rsyncmanager"
rcvar=`set_rcvar`

command="/usr/local/bin/rsyncmanager.rb"
pidfile="/var/run/rsyncmanager.pid"
command_interpreter="/usr/local/bin/ruby"
required_files=/usr/local/etc/rsyncmanager.xml

[ -z "$rsyncmanager_enable" ]       && rsyncmanager_enable="NO"
[ -z "$rsyncmanager_flags" ]        && rsyncmanager_flags="-c /usr/local/etc/rsyncmanager.xml"

load_rc_config $name

sig_stop=-TERM

extra_commands="reload"
run_rc_command "$1"
